# $Revision: 1.4 $, $Date: 2002/05/04 21:49:42 $
%include        /usr/lib/rpm/macros.perl
Summary:	C++ Wrapper over GTK+ 2.0.x library
Summary(pl):	Wrapper C++ dla GTK+ 2.0.x
Name:		vdk
Version:	2.0.1
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	http://prdownloads.sourceforge.net/vdkbuilder/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am_fixes.patch
URL:		http://vdkbuilder.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	freetype-devel
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	imlib-devel
BuildRequires:	libsigc++-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	perl >= 5.6
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
C++ Wrapper over GTK+ 2.0.x library.

%description -l pl
Wrapper C++ dla GTK+ 2.0.x.

%package devel
Summary:	VDK header files, development documentation
Summary(pl):	Pliki nagwkowe VDK, dokumentacja dla programistw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk+2-devel >= 2.0.0

%description devel
Header files and development documentation for VDK library.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla programistw do biblioteki VDK.

%package static
Summary:	VDK static libraries
Summary(pl):	Biblioteki statyczne VDK
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
VDK static libraries.

%description static -l pl
Biblioteki statyczne VDK.

%prep
%setup -q
%patch0 -p1

%build
# exceptions and rtti are used in this package --misiek
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure \
	--enable-static=yes
%{__make}
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/src/examples/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

cp -dpr example/* $RPM_BUILD_ROOT/usr/src/examples/%{name}-%{version}

gzip -9nf README ChangeLog AUTHORS NEWS BUGS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/doxy/html
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_bindir}/*
%{_aclocaldir}/*.m4
%{_includedir}/vdk2
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vdk.spec,v $
Revision 1.4  2002/05/04 21:49:42  kloczek
- added ac_am_fixes patch with variouse fixes/cleanups in ac/am,
- added regenerate ac/am/lt files,
- remove some redundant BuildRequires rules.

Revision 1.3  2002/05/02 20:05:14  filon
- build html doxygen doc and put it into -devel
- release 2

Revision 1.2  2002/04/12 12:33:30  misiek
- added missing BR (KrzysiekS <ks123@skrzynka.pl>)

Revision 1.1  2002/04/11 11:06:49  misiek
- initial pld release


